package com.ssj.bean.kmt.kmt.request.exercise;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.net.InterfaceAddress;

/**
 * @Author: chchen
 * @Description 查询待加工审核的kmt题目列表请求体
 * @Date Create in 11:24 2019/11/27
 * @Modified By
 */
public class KmtHandlingQuestionRequest extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "dealType", value = "1加工 2审核 3全部", required = true)
    private  int dealType;

    @ApiModelProperty(name = "grade", value = "年级", required = false)
    private String grade;

    @ApiModelProperty(name = "subject", value = "科目", required = false)
    private  String subject;

    @ApiModelProperty(name = "versionType", value = "版本类型", required = false)
    private int versionType;

    @ApiModelProperty(name = "semester", value = "上下册，1上2下", required = false)
    private int semester;

    @ApiModelProperty(name = "moduleType", value = "模块， 1同步2专题", required = false)
    private int moduleType;

    @ApiModelProperty(name = "detailId", value = "知识点id", required = false)
    private String detailId;

    @ApiModelProperty(name = "pointId", value = "考点id", required = false)
    private String pointId;

    @ApiModelProperty(name = "questionId", value = "题目id", required = false)
    private String questionId;

    @ApiModelProperty(name = "pageNo", value = "页码", required = true)
    private int pageNo;

    @ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
    private int pageSize;

    @ApiModelProperty(name = "maxCreateTime", value = "最大创建时间", required = true)
    private String maxCreateTime;

    @ApiModelProperty(name = "name", value = "加工人/审核人名（模糊查询）", required = true)
    private String name;

    @ApiModelProperty(name = "yearName", value = "年份", required = false)
    private String yearName;

    private int beginYear;

    private int endYear;

    private String questionProvince;

    private String questionCity;

    private String questionCountry;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getDealType() {
        return dealType;
    }

    public void setDealType(int dealType) {
        this.dealType = dealType;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public int getVersionType() {
        return versionType;
    }

    public void setVersionType(int versionType) {
        this.versionType = versionType;
    }

    public int getSemester() {
        return semester;
    }

    public void setSemester(int semester) {
        this.semester = semester;
    }

    public int getModuleType() {
        return moduleType;
    }

    public void setModuleType(int moduleType) {
        this.moduleType = moduleType;
    }

    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public String getPointId() {
        return pointId;
    }

    public void setPointId(String pointId) {
        this.pointId = pointId;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getMaxCreateTime() {
        return maxCreateTime;
    }

    public void setMaxCreateTime(String maxCreateTime) {
        this.maxCreateTime = maxCreateTime;
    }

    public String getYearName() {
        return yearName;
    }

    public void setYearName(String yearName) {
        this.yearName = yearName;
        if (yearName != null && yearName !=""){
            String[] yearArray = yearName.split("-");
            if (yearArray.length == 2){
                this.beginYear = Integer.parseInt(yearArray[0]);
                this.endYear = Integer.parseInt(yearArray[1]);

            }
        }
    }

    public long getBeginYear() {
        return beginYear;
    }


    public long getEndYear() {
        return endYear;
    }

    public String getQuestionProvince() {
        return questionProvince;
    }

    public void setQuestionProvince(String questionProvince) {
        this.questionProvince = questionProvince;
    }

    public String getQuestionCity() {
        return questionCity;
    }

    public void setQuestionCity(String questionCity) {
        this.questionCity = questionCity;
    }

    public String getQuestionCountry() {
        return questionCountry;
    }

    public void setQuestionCountry(String questionCountry) {
        this.questionCountry = questionCountry;
    }
}

